Bug 7766 - C4/Auth.pm emits debug output to STDOUT
Summary: C4/Auth.pm emits debug output to STDOUT
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Dobrica Pavlinusic
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 7172
  Show dependency treegraph
 
Reported: 2012-03-21 09:31 UTC by Dobrica Pavlinusic
Modified: 2013-12-05 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (706 bytes, patch)
2012-03-21 09:31 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7766 - C4/Auth.pm: emit DEBUG output to STDERR (848 bytes, patch)
2012-03-21 14:43 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
[Signed-off] Bug 7766 - C4/Auth.pm: emit DEBUG output to STDERR (916 bytes, patch)
2012-04-04 13:51 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2012-03-21 09:31:17 UTC Comment hidden (obsolete)
Comment 1 Dobrica Pavlinusic 2012-03-21 14:43:43 UTC Comment hidden (obsolete)
Comment 2 Alex Arnaud 2012-04-04 13:50:46 UTC
few changes and it works

Signing off
Comment 3 Alex Arnaud 2012-04-04 13:51:23 UTC
Created attachment 8869 [details] [review]
[Signed-off] Bug 7766 - C4/Auth.pm: emit DEBUG output to STDERR

writing to STDOUT breaks plack when running with DEBUG=1

Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 4 Paul Poulain 2012-04-04 16:09:23 UTC
QA comment: tiny patch, related to plack but not only. fixes an obvious problem, it's not an ENH !
Comment 5 Paul Poulain 2012-04-04 16:09:49 UTC
this one should also be applied to 3.6 !
Comment 6 Jared Camins-Esakov 2012-05-24 00:49:28 UTC
This patch will be included in 3.6.5.